#ifndef OPENB3D_OPENB3DSTD_OPENB3DSTD_BMX_RELEASE_WIN32_X64_H
#define OPENB3D_OPENB3DSTD_OPENB3DSTD_BMX_RELEASE_WIN32_X64_H

#include <brl.mod/blitz.mod/.bmx/blitz.bmx.release.win32.x64.h>
#include <openb3d.mod/openb3dcore.mod/.bmx/openb3dcore.bmx.release.win32.x64.h>
int __bb_openb3d_openb3dstd_openb3dstd();
BBINT openb3d_openb3dstd_AddMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh1,struct openb3d_openb3dcore_TMesh_obj* bbt_mesh2);
BBINT openb3d_openb3dstd_AddTriangle(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_v0,BBINT bbt_v1,BBINT bbt_v2);
BBINT openb3d_openb3dstd_AddVertex(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w);
BBINT openb3d_openb3dstd_AmbientLight(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3dstd_Animate(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_Mode,BBFLOAT bbt_speed,BBINT bbt_seq,BBINT bbt_trans);
BBINT openb3d_openb3dstd_Animating(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_AnimLength(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_AnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBFLOAT openb3d_openb3dstd_AnimTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_AntiAlias(BBINT bbt_samples);
BBINT openb3d_openb3dstd_BrushAlpha(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_a);
BBINT openb3d_openb3dstd_BrushBlend(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_blend);
BBINT openb3d_openb3dstd_BrushColor(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3dstd_BrushFX(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_fx);
BBINT openb3d_openb3dstd_BrushShininess(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBFLOAT bbt_s);
BBINT openb3d_openb3dstd_BrushTexture(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index);
BBINT openb3d_openb3dstd_CameraClsColor(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3dstd_CameraClsMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_cls_depth,BBINT bbt_cls_zbuffer);
BBINT openb3d_openb3dstd_CameraFogColor(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
BBINT openb3d_openb3dstd_CameraFogMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_Mode);
BBINT openb3d_openb3dstd_CameraFogRange(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CameraPick(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y);
BBINT openb3d_openb3dstd_CameraProject(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBINT openb3d_openb3dstd_CameraProjMode(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_Mode);
BBINT openb3d_openb3dstd_CameraRange(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_nnear,BBFLOAT bbt_nfar);
BBINT openb3d_openb3dstd_CameraViewport(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBINT bbt_x,BBINT bbt_y,BBINT bbt_width,BBINT bbt_height);
BBINT openb3d_openb3dstd_CameraZoom(struct openb3d_openb3dcore_TCamera_obj* bbt_cam,BBFLOAT bbt_zoom);
BBINT openb3d_openb3dstd_ClearCollisions();
BBINT openb3d_openb3dstd_ClearSurface(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_clear_verts,BBINT bbt_clear_tris);
BBINT openb3d_openb3dstd_ClearTextureFilters();
BBINT openb3d_openb3dstd_ClearWorld(BBINT bbt_entities,BBINT bbt_brushes,BBINT bbt_textures);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CollisionEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionNX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionNY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionNZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBINT openb3d_openb3dstd_Collisions(BBINT bbt_src_no,BBINT bbt_dest_no,BBINT bbt_method_no,BBINT bbt_response_no);
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_CollisionSurface(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBINT openb3d_openb3dstd_CollisionTriangle(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
BBFLOAT openb3d_openb3dstd_CollisionZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_index);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_CopyEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CopyMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
BBINT openb3d_openb3dstd_CountChildren(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_CountCollisions(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_CountSurfaces(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3dstd_CountTriangles(struct openb3d_openb3dcore_TSurface_obj* bbt_surf);
BBINT openb3d_openb3dstd_CountVertices(struct openb3d_openb3dcore_TSurface_obj* bbt_surf);
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_CreateBrush(BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b);
struct openb3d_openb3dcore_TCamera_obj* openb3d_openb3dstd_CreateCamera(struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCone(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCylinder(BBINT bbt_segments,BBINT bbt_solid,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateCube(struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateMesh(struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TLight_obj* openb3d_openb3dstd_CreateLight(BBINT bbt_light_type,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TPivot_obj* openb3d_openb3dstd_CreatePivot(struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreateSphere(BBINT bbt_segments,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TSprite_obj* openb3d_openb3dstd_CreateSprite(struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_CreateSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_CreateTexture(BBINT bbt_width,BBINT bbt_height,BBINT bbt_flags,BBINT bbt_frames);
BBFLOAT openb3d_openb3dstd_DeltaPitch(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2);
BBFLOAT openb3d_openb3dstd_DeltaYaw(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2);
BBINT openb3d_openb3dstd_EntityAlpha(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_alpha);
BBINT openb3d_openb3dstd_EntityBlend(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_blend);
BBINT openb3d_openb3dstd_EntityBox(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_w,BBFLOAT bbt_h,BBFLOAT bbt_d);
BBSTRING openb3d_openb3dstd_EntityClass(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_EntityCollided(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_type_no);
BBINT openb3d_openb3dstd_EntityColor(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue,BBINT bbt_recursive);
BBFLOAT openb3d_openb3dstd_EntityDistance(struct openb3d_openb3dcore_TEntity_obj* bbt_ent1,struct openb3d_openb3dcore_TEntity_obj* bbt_ent2);
BBINT openb3d_openb3dstd_EntityFX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_fx);
BBINT openb3d_openb3dstd_EntityInView(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TCamera_obj* bbt_cam);
BBSTRING openb3d_openb3dstd_EntityName(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_EntityOrder(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_order);
BBINT openb3d_openb3dstd_EntityParent(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_parent_ent,BBINT bbt_glob);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_EntityPick(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_Range);
BBINT openb3d_openb3dstd_EntityPickMode(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_pick_mode,BBINT bbt_obscurer);
BBFLOAT openb3d_openb3dstd_EntityPitch(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3dstd_EntityRadius(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_radius_x,BBFLOAT bbt_radius_y);
BBFLOAT openb3d_openb3dstd_EntityRoll(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3dstd_EntityShininess(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_shine);
BBINT openb3d_openb3dstd_EntityTexture(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_frame,BBINT bbt_index);
BBINT openb3d_openb3dstd_EntityType(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_type_no,BBINT bbt_recursive);
BBINT openb3d_openb3dstd_EntityVisible(struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent);
BBFLOAT openb3d_openb3dstd_EntityX(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3dstd_EntityY(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3dstd_EntityYaw(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBFLOAT openb3d_openb3dstd_EntityZ(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_glob);
BBINT openb3d_openb3dstd_ExtractAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_first_frame,BBINT bbt_last_frame,BBINT bbt_seq);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_FindChild(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_child_name);
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_FindSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
BBINT openb3d_openb3dstd_FitMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_width,BBFLOAT bbt_height,BBFLOAT bbt_depth,BBINT bbt_uniform);
BBINT openb3d_openb3dstd_FlipMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3dstd_FreeBrush(struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
BBINT openb3d_openb3dstd_FreeEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_FreeTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_GetBrushTexture(struct openb3d_openb3dcore_TBrush_obj* bbt_brush,BBINT bbt_index);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_GetChild(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_child_no);
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_GetEntityBrush(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_GetEntityType(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBFLOAT openb3d_openb3dstd_GetMatElement(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_row,BBINT bbt_col);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_GetParent(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_GetSurface(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBINT bbt_surf_no);
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_GetSurfaceBrush(struct openb3d_openb3dcore_TSurface_obj* bbt_surf);
BBINT openb3d_openb3dstd_HandleSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_h_x,BBFLOAT bbt_h_y);
BBINT openb3d_openb3dstd_HideEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_LightColor(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_red,BBFLOAT bbt_green,BBFLOAT bbt_blue);
BBINT openb3d_openb3dstd_LightConeAngles(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_inner_ang,BBFLOAT bbt_outer_ang);
BBINT openb3d_openb3dstd_LightRange(struct openb3d_openb3dcore_TLight_obj* bbt_light,BBFLOAT bbt_Range);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_LinePick(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBFLOAT bbt_dx,BBFLOAT bbt_dy,BBFLOAT bbt_dz,BBFLOAT bbt_radius);
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_LoadAnimTexture(BBSTRING bbt_file,BBINT bbt_flags,BBINT bbt_frame_width,BBINT bbt_frame_height,BBINT bbt_first_frame,BBINT bbt_frame_count,struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
struct openb3d_openb3dcore_TBrush_obj* openb3d_openb3dstd_LoadBrush(BBSTRING bbt_file,BBINT bbt_flags,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale);
struct openb3d_openb3dcore_TTexture_obj* openb3d_openb3dstd_LoadTexture(BBSTRING bbt_file,BBINT bbt_flags,struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
struct openb3d_openb3dcore_TSprite_obj* openb3d_openb3dstd_LoadSprite(BBSTRING bbt_tex_file,BBINT bbt_tex_flag,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
BBFLOAT openb3d_openb3dstd_MeshDepth(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBFLOAT openb3d_openb3dstd_MeshHeight(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBFLOAT openb3d_openb3dstd_MeshWidth(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3dstd_MoveEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBINT openb3d_openb3dstd_NameEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_name);
BBINT openb3d_openb3dstd_PaintEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
BBINT openb3d_openb3dstd_PaintMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
BBINT openb3d_openb3dstd_PaintSurface(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,struct openb3d_openb3dcore_TBrush_obj* bbt_brush);
struct openb3d_openb3dcore_TEntity_obj* openb3d_openb3dstd_PickedEntity();
BBFLOAT openb3d_openb3dstd_PickedNX();
BBFLOAT openb3d_openb3dstd_PickedNY();
BBFLOAT openb3d_openb3dstd_PickedNZ();
struct openb3d_openb3dcore_TSurface_obj* openb3d_openb3dstd_PickedSurface();
BBFLOAT openb3d_openb3dstd_PickedTime();
BBINT openb3d_openb3dstd_PickedTriangle();
BBFLOAT openb3d_openb3dstd_PickedX();
BBFLOAT openb3d_openb3dstd_PickedY();
BBFLOAT openb3d_openb3dstd_PickedZ();
BBINT openb3d_openb3dstd_PointEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_target_ent,BBFLOAT bbt_roll);
BBINT openb3d_openb3dstd_PositionEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3dstd_PositionMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_px,BBFLOAT bbt_py,BBFLOAT bbt_pz);
BBINT openb3d_openb3dstd_PositionTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_u_pos,BBFLOAT bbt_v_pos);
BBFLOAT openb3d_openb3dstd_ProjectedX();
BBFLOAT openb3d_openb3dstd_ProjectedY();
BBFLOAT openb3d_openb3dstd_ProjectedZ();
BBINT openb3d_openb3dstd_RenderWorld();
BBINT openb3d_openb3dstd_ResetEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_RotateEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3dstd_RotateMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_pitch,BBFLOAT bbt_yaw,BBFLOAT bbt_roll);
BBINT openb3d_openb3dstd_RotateSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_ang);
BBINT openb3d_openb3dstd_RotateTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_ang);
BBINT openb3d_openb3dstd_ScaleEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3dstd_ScaleMesh(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh,BBFLOAT bbt_sx,BBFLOAT bbt_sy,BBFLOAT bbt_sz);
BBINT openb3d_openb3dstd_ScaleSprite(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBFLOAT bbt_s_x,BBFLOAT bbt_s_y);
BBINT openb3d_openb3dstd_ScaleTexture(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBFLOAT bbt_u_scale,BBFLOAT bbt_v_scale);
BBINT openb3d_openb3dstd_SetAnimTime(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_time,BBINT bbt_seq);
BBINT openb3d_openb3dstd_SetCubeFace(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_face);
BBINT openb3d_openb3dstd_SetCubeMode(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_Mode);
BBINT openb3d_openb3dstd_ShowEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent);
BBINT openb3d_openb3dstd_SpriteViewMode(struct openb3d_openb3dcore_TSprite_obj* bbt_sprite,BBINT bbt_Mode);
BBINT openb3d_openb3dstd_TextureBlend(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_blend);
BBINT openb3d_openb3dstd_TextureCoords(struct openb3d_openb3dcore_TTexture_obj* bbt_tex,BBINT bbt_coords);
BBINT openb3d_openb3dstd_TextureHeight(struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
BBINT openb3d_openb3dstd_TextureFilter(BBSTRING bbt_match_text,BBINT bbt_flags);
BBSTRING openb3d_openb3dstd_TextureName(struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
BBINT openb3d_openb3dstd_TextureWidth(struct openb3d_openb3dcore_TTexture_obj* bbt_tex);
BBFLOAT openb3d_openb3dstd_TFormedX();
BBFLOAT openb3d_openb3dstd_TFormedY();
BBFLOAT openb3d_openb3dstd_TFormedZ();
BBINT openb3d_openb3dstd_TFormNormal(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3dstd_TFormPoint(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3dstd_TFormVector(BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,struct openb3d_openb3dcore_TEntity_obj* bbt_src_ent,struct openb3d_openb3dcore_TEntity_obj* bbt_dest_ent);
BBINT openb3d_openb3dstd_TranslateEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3dstd_TriangleVertex(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_tri_no,BBINT bbt_corner);
BBINT openb3d_openb3dstd_TurnEntity(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_glob);
BBINT openb3d_openb3dstd_UpdateNormals(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh);
BBINT openb3d_openb3dstd_UpdateWorld(BBFLOAT bbt_anim_speed);
BBFLOAT openb3d_openb3dstd_VectorPitch(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz);
BBFLOAT openb3d_openb3dstd_VectorYaw(BBFLOAT bbt_vx,BBFLOAT bbt_vy,BBFLOAT bbt_vz);
BBFLOAT openb3d_openb3dstd_VertexAlpha(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexBlue(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3dstd_VertexColor(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_r,BBFLOAT bbt_g,BBFLOAT bbt_b,BBFLOAT bbt_a);
BBINT openb3d_openb3dstd_VertexCoords(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3dstd_VertexGreen(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3dstd_VertexNormal(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_nx,BBFLOAT bbt_ny,BBFLOAT bbt_nz);
BBFLOAT openb3d_openb3dstd_VertexNX(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexNY(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexNZ(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexRed(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3dstd_VertexTexCoords(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBFLOAT bbt_u,BBFLOAT bbt_v,BBFLOAT bbt_w,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3dstd_VertexU(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3dstd_VertexV(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3dstd_VertexW(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid,BBINT bbt_coord_set);
BBFLOAT openb3d_openb3dstd_VertexX(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexY(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBFLOAT openb3d_openb3dstd_VertexZ(struct openb3d_openb3dcore_TSurface_obj* bbt_surf,BBINT bbt_vid);
BBINT openb3d_openb3dstd_Wireframe(BBINT bbt_enable);
BBINT openb3d_openb3dstd_AddAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBINT bbt_length);
BBINT openb3d_openb3dstd_AlignToVector(struct openb3d_openb3dcore_TEntity_obj* bbt_entity,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z,BBINT bbt_axis,BBINT bbt_rate);
struct openb3d_openb3dcore_TMesh_obj* openb3d_openb3dstd_CreatePlane(BBINT bbt_divisions,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
struct openb3d_openb3dcore_TTerrain_obj* openb3d_openb3dstd_CreateTerrain(BBINT bbt_size,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
BBINT openb3d_openb3dstd_LoadAnimSeq(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBSTRING bbt_file);
struct openb3d_openb3dcore_TTerrain_obj* openb3d_openb3dstd_LoadTerrain(BBSTRING bbt_file,struct openb3d_openb3dcore_TEntity_obj* bbt_parent);
BBINT openb3d_openb3dstd_MeshesIntersect(struct openb3d_openb3dcore_TMesh_obj* bbt_mesh1,struct openb3d_openb3dcore_TMesh_obj* bbt_mesh2);
BBINT openb3d_openb3dstd_ModifyTerrain(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z,BBFLOAT bbt_new_height);
BBINT openb3d_openb3dstd_SetAnimKey(struct openb3d_openb3dcore_TEntity_obj* bbt_ent,BBFLOAT bbt_frame,BBINT bbt_pos_key,BBINT bbt_rot_key,BBINT bbt_scale_key);
BBFLOAT openb3d_openb3dstd_TerrainHeight(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBINT bbt_x,BBINT bbt_z);
BBFLOAT openb3d_openb3dstd_TerrainX(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3dstd_TerrainY(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);
BBFLOAT openb3d_openb3dstd_TerrainZ(struct openb3d_openb3dcore_TTerrain_obj* bbt_terr,BBFLOAT bbt_x,BBFLOAT bbt_y,BBFLOAT bbt_z);

#endif
